# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 347a45c35299c94e97c976b6e1df383dc2b8fbda
    parent 22eeda56b7c1532773343811dee1f76c0999d01c
    Author: Eon S. Jeon <esjeon@lavabit.com>
    Date:   Mon,  5 Aug 2013 16:37:59 -0400

    Fix signess of tdefcolor

    tdefcolor() returns -1 on error, while its return type is
    unsigned long. At the same time, line 1724 and 1731 are checking the
    positivity of its unsigned return value.

    Diffstat:
    Mst.c | 6+++---

    1 file changed, 3 insertions(+), 3 deletions(-)
    diff --git a/st.c b/st.c
    @@ -362,7 +362,7 @@ static void tsetdirtattr(int);
     static void tsetmode(bool, bool, int *, int);
     static void tfulldirt(void);
     static void techo(char *, int);
    -static ulong tdefcolor(int *, int *, int);
    +static long tdefcolor(int *, int *, int);
     static inline bool match(uint, uint);
     static void ttynew(void);
     static void ttyread(void);
    @@ -1626,7 +1626,7 @@ tdeleteline(int n) {
     	tscrollup(term.c.y, n);
     }

    -ulong
    +long
     tdefcolor(int *attr, int *npar, int l) {
     	long idx = -1;
     	uint r, g, b;
    @@ -1677,7 +1677,7 @@ tdefcolor(int *attr, int *npar, int l) {
     void
     tsetattr(int *attr, int l) {
     	int i;
    -	ulong idx;
    +	long idx;

     	for(i = 0; i < l; i++) {
     		switch(attr[i]) {